Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2015-02-26 21:51:46 +0000
committerDavid Williams2015-02-26 21:51:46 +0000
commit5e3837e597e2ef42b924e153ef5803f0b584a75e (patch)
treef33ff92142244a4878fba340a23131c90a8accb6 /production/dirtReport.sh
parent3fc7acdcb2e8dbb099af0ff5ab81364d871a9724 (diff)
downloadeclipse.platform.releng.aggregator-5e3837e597e2ef42b924e153ef5803f0b584a75e.tar.gz
eclipse.platform.releng.aggregator-5e3837e597e2ef42b924e153ef5803f0b584a75e.tar.xz
eclipse.platform.releng.aggregator-5e3837e597e2ef42b924e153ef5803f0b584a75e.zip
Bug 461002 - create a "dirtReport" and matching releng tests
Diffstat (limited to 'production/dirtReport.sh')
-rw-r--r--production/dirtReport.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/production/dirtReport.sh b/production/dirtReport.sh
new file mode 100644
index 000000000..5dff309d2
--- /dev/null
+++ b/production/dirtReport.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+# Utility to log "dirt report"
+# The required variables are expected to be in "env_file",
+# but of all those,
+# we need
+# aggDir: top of working tree (absolute patch to aggregation module directory)
+# BUILD_ID: needed to "pretty print" to top of report.
+# output goes to "std out", and assume it is captured by calling program, as desired.
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+if [ ! -r "$1" ]; then
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source "$1"
+
+printf "\n\t%s\n\n" "Dirt Report for $BUILD_ID"
+git -C "$aggDir" status
+git -C "$aggDir" submodule foreach git status

Back to the top